import axios from 'axios';
import {baseServerURL} from '@/assets/js/config/Global.js';
import  request from '@/assets/js/util/request'

let serviceUrl = baseServerURL

//知识管理-法律法规模块-法律
class LawManager {
    constructor(){

    }

    init(opts){

    }

    list(param,successCallBack,errorCallBack){
        // request.post("/km/law/lawAdmin",{
        //     action: "list",
        //     page: param.page,
        //     pageSize: param.pageSize,
        //     query:param.query
        //   })
        // .then(successCallBack)
        // .catch(errorCallBack);
         axios
        .post(serviceUrl+"/km/law/lawAdmin", {
          action: "list",
          page: param.page,
          pageSize: param.pageSize,
          query:param.query
        })
        .then(successCallBack)
        .catch(errorCallBack);
    }
    listTest(param,successCallBack,errorCallBack){
        request.post("/km/law/lawAdmin/test",{
            action: "list",
            page: param.page,
            pageSize: param.pageSize,
            query:param.query
          })
        .then(successCallBack)
        .catch(errorCallBack);
        // axios
        // .post(serviceUrl+"/km/law/lawAdmin/test", {
        //   action: "list",
        //   page: param.page,
        //   pageSize: param.pageSize,
        //   query:param.query
        // })
        // .then(successCallBack)
        // .catch(errorCallBack);
    }
    add(param,successCallBack,errorCallBack){
        axios
        .post(serviceUrl+"/km/law/lawAdmin", {
          action: "add",
          data:param.data
        })
        .then(successCallBack)
        .catch(errorCallBack);
    }
    getInfo(param,successCallBack,errorCallBack){
        axios
        .post(serviceUrl+"/km/law/lawAdmin", {
          action: "getInfo",
          page: param.page,
          pageSize: param.pageSize,
          query:param.query
        })
        .then(successCallBack)
        .catch(errorCallBack);
    }
    edit(param,successCallBack,errorCallBack){
        axios
        .post(serviceUrl+"/km/law/lawAdmin", {
          action: "edit",
          page: param.page,
          pageSize: param.pageSize,
          data:param.data
        })
        .then(successCallBack)
        .catch(errorCallBack);
    }
    remove(param,successCallBack,errorCallBack){
        axios
        .post(serviceUrl+"/km/law/lawAdmin", {
          action: "remove",
          rids: param.rids,
        })
        .then(successCallBack)
        .catch(errorCallBack);
    }

}



//知识管理-法律法规模块-法条
class LawItemManager {
    constructor(){

    }
}

//知识管理-法律法规模块-案例管理
class LawCaseManager {
    constructor(){

    }
}

//知识管理-法律法规模块-案例评价
class LawCaseReviewManager {
    constructor(){

    }
}

//知识管理-法律法规模块-法律体系
class LawSystemManager {
    constructor(){
        
    }
}

var lawManager=null;
export function getLawManager()
{
    if(lawManager==null){
        lawManager = new LawManager();
    }
    return lawManager;
}

var lawItemManager=null;
export function getLawItemManager()
{
    if(lawItemManager==null){
        lawItemManager = new LawItemManager();
    }
    return lawItemManager;
}

var lawCaseManager=null;
export function getLawCaseManager()
{
    if(lawCaseManager==null){
        lawCaseManager = new LawCaseManager();
    }
    return lawCaseManager;
}

var lawCaseReviewManager=null;
export function getLawCaseReviewManager()
{
    if(lawCaseReviewManager==null){
        lawCaseReviewManager = new LawCaseReviewManager();
    }
    return lawCaseReviewManager;
}

var lawSystemManager=null;
export function getLawSystemManager()
{
    if(lawSystemManager==null){
        lawSystemManager = new LawSystemManager();
    }
    return lawSystemManager;
}

